//-------------------------------------------------------------------//

// Synopsis:	Symmetric (Hermitian) part.

// Syntax:	S = symmpart ( A )

// Description:

// 	S is the symmetric (Hermitian) part of A, (A + A')/2. It is
// 	the nearest symmetric (Hermitian) matrix to A in both the 2-
// 	and the Frobenius norms.

//	This file is a translation of symmpart.m from version 2.0 of
//	"The Test Matrix Toolbox for Matlab", described in Numerical
//	Analysis Report No. 237, December 1993, by N. J. Higham.

//-------------------------------------------------------------------//

symmpart = function ( A )
{
  return (A + A')./2;
};
